Results 1 to 7 of 7

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Help for 3GS 3.1.3 5.12.01 to install IOS4

  1. #1
    Red face Help for 3GS 3.1.3 5.12.01 to install IOS4
    Hi every one.
    New to the forum.
    I have spent many hours but i am still now sure so i would appreciate if the experts can help me.
    I have 3GS with 5.12.01 and old bootrom Model MB717LL. It is jailbroken and unlocked.
    But i dont know if it was jailbroken with Spirit.
    I unlocked it with ultrasnow.
    Previously i was locked for many weeks until ultrasnow came so i dont want to make any mistakes.
    How should i install if possible ios 4.
    please help will be appreciated. Also as i am a novice please give lot of details

  2. #2
    My iPhone is a Part of Me area51crypto's Avatar
    Join Date
    Sep 2009
    Location
    Heartland of America
    Posts
    953
    Thanks
    464
    Thanked 68 Times in 66 Posts

    You could just update in itunes to 4.01 and use JailbreakMe.com to jailbreak and then use the new ultrasn0w to unlock!

  3. #3
    Quote Originally Posted by area51crypto View Post
    You could just update in itunes to 4.01 and use JailbreakMe.com to jailbreak and then use the new ultrasn0w to unlock!
    do i need AT&T sim or i can use unofficial carrier sim

  4. #4
    My iPhone is a Part of Me area51crypto's Avatar
    Join Date
    Sep 2009
    Location
    Heartland of America
    Posts
    953
    Thanks
    464
    Thanked 68 Times in 66 Posts

    You will need any AT&T sim, doesn't half to be one with a contract on it just one that's not broke.
    Can even be out of a friends iPhone. Will not effect his sim

  5. #5
    at what stage should i put AT&T sim?
    when updateing to ios4 or later?
    sorry i am a novice

  6. #6
    Livin the iPhone Life iNT3Rv3NTiONZz's Avatar
    Join Date
    Feb 2010
    Location
    Cambridge, U.K
    Posts
    1,512
    Thanks
    57
    Thanked 123 Times in 101 Posts

    i think you just need the legit sim once it has been updated to 4.0 so that you can activate it, however Comex or The Dev Team are soon to bring out a piece of software which will be able to "hacktivate" (activate any device without a legit sim), it probably wont be out for a while though so just use your freinds AT&T sim to activate and then get ultrasnow from cydia, job done!!!

    iPhone4 16gb black - 4.1 Limera1ned
    iPhone 3G 16gb white - 3.1.2 jailbroken
    Blackra1ned
    THANKYOU ONCE AGAIN GEOHOT!

  7. The Following User Says Thank You to iNT3Rv3NTiONZz For This Useful Post:

    nwmalik (2010-08-06)

  8. #7
    Thanks everyone.
    I put AT&T sim and connected with itunes, updated to 4.0.1, did not receive any errors of messages till the end when my iphone was restored.
    Then did jailbreak with jailbreahme.com.
    And finally unlocked with ultrasnow.
    Very smooth no problems.
    Althought was slightly confused before unlocking as phone was showing signal. So tried to call but failed. So proceeded with unlock and bingo.
    Now playing and exploring.
    most of the previous applications working. No worry.
    my baseband up to 05.13.04 after installing ios 4.0.1
    Last edited by nwmalik; 2010-08-07 at 03:31 PM.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •